SDL_AllocateEventMemory(3)

NAME
SDL_AllocateEventMemory - Allocate dynamic memory for an SDL event.

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

void * SDL_AllocateEventMemory(size_t size);

DESCRIPTION
You can use this to allocate memory for user events that will be automatically freed after the event is processed.

FUNCTION PARAMETERS

size
    the amount of memory to allocate

RETURN VALUE
Returns a pointer to the memory allocated or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.